import { createApp } from 'vue'
import 'view-ui-plus/dist/styles/viewuiplus.css'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import './style.css'

createApp(App)
    .use(createPinia())
    .use(router)
    .mount('#app')
