import {BizError} from "../../core/errors.ts";

export type LoginModel = {
    account: string;
    password: string;
}

const fakeUser: UserInfo = {
    account: "admin",
    nickname: "管理员",
    password: "",
    role: 'root',
    uid: 1
}

export async function LoginService(params: LoginModel) {
    if (params.account == 'admin' && params.password == 'admin') {
        const loginInfo = Date.now().toString(16);
        return {
            userinfo: fakeUser,
            token: loginInfo
        };
    }
    throw new BizError(1001, '用户名或密码错误');
}

export async function GetLoginInfo() {
    return fakeUser;
}
