/// <reference types="vite/client" />

type int = number;
type double = number;
type bool = boolean;
type AccountRole = 'root' | 'admin' | 'user';
type UserInfo = {
    uid: number;
    nickname: string;
    account: string;
    password: string;
    avatar?: string;
    lastUpdate?:string;
    createTime?: string;
    role: AccountRole;
}