import { defineConfig } from 'vite'
import vue from '@vitejs/plugin-vue'
import path from 'path'

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue()],
  build: {
    // 小于10kb直接base64
    assetsInlineLimit: 10240,
    rollupOptions: {
      output: {
        manualChunks(id) {
          // console.log('chunk id',id)
          if (id.includes('view-ui-plus')) {
            return 'view-ui'
          }
          // if (id.includes('vue')) {
          //   return 'vue'
          // }
          // if (id.includes('node_modules')) {
          //     return id.toString().split('node_modules/')[1].split('/')[0].toString();
          // }
        }
      }
    },
  },
  base: './',
  // resolve:{
  //   alias:{
  //     '@': path.resolve(__dirname,"./src")
  //   }
  // },
})
